> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get avatar

> Get Podcast avatar photo and motion task status.

MCP tool: `podcast_get_avatar`. OAuth scope: `asset.read`.


## OpenAPI

````yaml api-reference/openapi.json GET /open/podcast/v1/avatar
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/avatar:
    get:
      tags:
        - Podcast
      summary: get avatar
      description: Get Podcast avatar photo and motion task status.
      operationId: podcast_get_avatar
      parameters:
        - description: 记录的唯一标识符
          in: query
          name: id
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.GetPodcastAvatarResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.GetPodcastAvatarResp:
      properties:
        avatar_type:
          description: 数字人类型 空:默认/pet:宠物/cartoon:卡通
          type: string
        err_msg:
          description: 错误信息
          type: string
        is_failed:
          description: 已完成的photo任务中是否存在失败
          type: boolean
        is_same_screen:
          description: 是否是同屏模式（2.0）
          type: boolean
        pack1_detail:
          $ref: '#/components/schemas/vo.PacksDetailResp'
        pack2_detail:
          $ref: '#/components/schemas/vo.PacksDetailResp'
        pack_detail:
          description: 同屏图列表（2.0专用，支持多组）
          items:
            $ref: '#/components/schemas/vo.PackDetail'
          type: array
      type: object
    vo.PacksDetailResp:
      properties:
        aspect_ratio:
          description: 宽高比 0:9比16/1:16比9
          type: integer
        avatar_name:
          description: 名称
          type: string
        create_time:
          description: 任务创建时间
          type: integer
        id:
          description: 记录的唯一标识符
          type: integer
        max_avatar_count:
          description: 最大 avatar数量:0-不限制;大于0-按照实际数量限制
          type: integer
        more_count:
          description: 生成更多图片次数
          type: integer
        photo_tasks:
          description: photo任务列表
          items:
            $ref: '#/components/schemas/vo.PacksPhotoTaskVO'
          type: array
        source_photo:
          description: 原始图片
          type: string
        status:
          description: 状态：1-photo生成中；2-photo生成完成；3-motion生成中；4-avatar制作中；5-完成
          type: integer
      type: object
    vo.PackDetail:
      properties:
        pack1_detail:
          $ref: '#/components/schemas/vo.PacksDetailResp'
        pack2_detail:
          $ref: '#/components/schemas/vo.PacksDetailResp'
        pack_detail:
          $ref: '#/components/schemas/vo.PacksDetailResp'
      type: object
    vo.PacksPhotoTaskVO:
      properties:
        err_msg:
          description: 错误信息
          type: string
        model:
          description: 使用了什么模型
          type: integer
        output_url:
          description: 图片地址
          type: string
        photo_unique_id:
          description: photo任务的唯一标识符
          type: string
        progress_desc:
          description: 生成状态 Generating：生成中的任务/ Queued：排队中的任务/Error：生成失败的任务/Success
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````